Skip to Content
0

Problem with SAPUI5 service on XSA

Sep 06, 2017 at 07:57 AM

153

avatar image

I put in YAML what I found in

https://blogs.sap.com/2016/12/01/sap-hana-2.0-sps-0-new-developer-features/comment-page-1/#comment-364228

I am working on HANA 2.0 SP0

Unfortunatelly I get

{"message":"Parameters of the configuration resource ui5-lib in the mta.yaml file do not match any deployed MTA module. Make sure that the referenced MTA is deployed, and that the parameters match its properties."}

sapui5_fesv2 is on the system and is running

modules: - name: web type: html5 path: web provides: - name: web properties: ui-url: "${default-url}" parameters: host: web register-service-url: true service-name: web service-url: "${default-url}" requires: - name: showroom - name: ui5-lib properties: ui5liburl: ~{url} - name: nodejs group: destinations properties: name: nodejs url: ~{url} forwardAuthToken: true

- name: ui5-lib parameters: ID: com.sap.ui5.dist.sapui5-dist-xsa.XSAC_SAPUI5_FESV2:sapui5_fesv2 # Specifies the the ID of the provider MTA. name: sapui5_fesv2 version: "=1.38.3" # The version (range) of the provider MTA. type: configuration

Please advice

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Lucia Subatin
Sep 09, 2017 at 12:56 AM
0

Have you checked the version of UI5? You can check it quickly by clicking on the URL for UI5 in the admin cockpit

Show 1 Share
10 |10000 characters needed characters left characters exceeded

Thank you, we changed the XSA version, we will try on the new one

0